| ISF 2.1 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Modules Pages
Data Structures | Macros | Enumerations | Functions | Variables
rli_project module documentation

## Data Structures
struct | rliConfigRegister_t
struct | rliAppStatus_t
| rli application configuration buffer format. More...
struct | rliAppState_t
struct | device_cmd_packet_t
| rli overall application state buffer format. More...

## Macros
#define | MQX_DISABLE_CONFIG_CHECK 1
#define | SENSOR_DATA_READY_EVENT ((uint32)(1 << 10))
#define | RLI_COMM_BUFFER_SIZE (255)
#define | SET_FIELD(name, val) (((val)<<name##_SHIFT)&(name##_MASK))
| Macro that extracts one of the fields below. More...
#define | GET_FIELD(name, val) ((val&name##_MASK)>>name##_SHIFT)

## Enumerations
enum | { CI_CMD_DEVICE_WRITE = (CI_CMD_RESET_APP+1), CI_CMD_DEVICE_READ }
enum | { RLI_APP_STATE_CLOSED = 0, RLI_APP_STATE_OPEN = 1, RLI_APP_STATE_ERROR = 0xFF }
enum | { FSL_RLI_APP_ID = 2 }

## Functions
ci_response_t | rli_ci_app_callback (ci_host_cmd_packet_t *pHostPacket, ci_app_resp_packet_t *pAppPacket)
void | rli_app_task (void)
int32 | open_channel (rliAppState_t *appState)
int32 | close_channel (rliAppState_t *appState)
int32 | device_connect (rliAppState_t *appState)
int32 | device_disconnect (rliAppState_t *appState)

## Variables
uint8_t | rcvBuffer_t [RLI_COMM_BUFFER_SIZE]
uint8_t | cmdBuffer_t [RLI_COMM_BUFFER_SIZE]
MQX_INITIALIZATION_STRUCT | MQX_init_struct
| This data structure/variable holds the complete state of the rli magnetometer sensor embedded application. More...

## Detailed Description

## Macro Definition Documentation

#define GET_FIELD | ( |  | name,
|  |  | val
| ) |  | ((val&name##_MASK)>>name##_SHIFT)

Definition at line 60 of file rli_project.c.

#define MQX_DISABLE_CONFIG_CHECK 1

Definition at line 18 of file rli_project.c.

#define RLI_COMM_BUFFER_SIZE (255)

Definition at line 43 of file rli_project.c.

#define SENSOR_DATA_READY_EVENT ((uint32)(1 << 10))

Definition at line 42 of file rli_project.c.

#define SET_FIELD | ( |  | name,
|  |  | val
| ) |  | (((val)<<name##_SHIFT)&(name##_MASK))

Macro that extracts one of the fields below.

Definition at line 59 of file rli_project.c.

## Enumeration Type Documentation

anonymous enum

Enumerator
CI_CMD_DEVICE_WRITE |
CI_CMD_DEVICE_READ |

Definition at line 47 of file rli_project.c.

anonymous enum

Enumerator
RLI_APP_STATE_CLOSED |
RLI_APP_STATE_OPEN |
RLI_APP_STATE_ERROR |

Definition at line 52 of file rli_project.c.

anonymous enum

Enumerator
FSL_RLI_APP_ID |

Definition at line 104 of file rli_project.c.

## Function Documentation

int32 close_channel | ( | rliAppState_t * | appState | ) |

Definition at line 352 of file rli_project.c.

References rliAppStatus_t::channel, isf_rli_deint(), rliAppState_t::pChannelDescriptor, RLI_APP_STATE_CLOSED, RLI_APP_STATE_ERROR, and rliAppState_t::status.

Referenced by rli_ci_app_callback().

Here is the call graph for this function:

Here is the caller graph for this function:

int32 device_connect | ( | rliAppState_t * | appState | ) |

Definition at line 313 of file rli_project.c.

References I2CDeviceInfo::address, rliAppState_t::CfgBuffer, rliAppStatus_t::device, rliConfigRegister_t::deviceAddress, isf_rli_open(), rliAppState_t::pChannelDescriptor, rliAppState_t::pHandle, RLI_APP_STATE_ERROR, RLI_APP_STATE_OPEN, and rliAppState_t::status.

Referenced by rli_app_task(), and rli_ci_app_callback().

Here is the call graph for this function:

Here is the caller graph for this function:

int32 device_disconnect | ( | rliAppState_t * | appState | ) |

Definition at line 326 of file rli_project.c.

References rliAppStatus_t::device, isf_rli_close(), rliAppState_t::pHandle, RLI_APP_STATE_CLOSED, RLI_APP_STATE_ERROR, and rliAppState_t::status.

Referenced by rli_ci_app_callback().

Here is the call graph for this function:

Here is the caller graph for this function:

int32 open_channel | ( | rliAppState_t * | appState | ) |

Definition at line 338 of file rli_project.c.

References rliAppState_t::CfgBuffer, rliAppStatus_t::channel, rliConfigRegister_t::channelID, isf_rli_init(), rliAppState_t::pChannelDescriptor, RLI_APP_STATE_ERROR, RLI_APP_STATE_OPEN, and rliAppState_t::status.

Referenced by rli_ci_app_callback().

Here is the call graph for this function:

Here is the caller graph for this function:

void rli_app_task | ( | void |  | ) |

Definition at line 127 of file rli_project.c.

References rliAppState_t::CfgBuffer, rliConfigRegister_t::channelID, COMM_CHANNEL_I2C_CH1, device_connect(), rliConfigRegister_t::deviceAddress, isf_rli_init(), and rliAppState_t::pChannelDescriptor.

Referenced by TaskRLI1_task().

Here is the call graph for this function:

Here is the caller graph for this function:

ci_response_t rli_ci_app_callback | ( | ci_host_cmd_packet_t * | pHostPacket,
|  | ci_app_resp_packet_t * | pAppPacket
| ) |  |

Definition at line 151 of file rli_project.c.

References device_cmd_packet_t::appId, ci_host_cmd_packet_t::appId, ci_host_cmd_packet_t::byte_cnt, ci_app_resp_packet_t::bytes_xfer, rliAppState_t::CfgBuffer, rliAppStatus_t::channel, CI_CMD_DEVICE_READ, CI_CMD_DEVICE_WRITE, CI_CMD_READ_APP_DATA, CI_CMD_READ_APP_STATUS, CI_CMD_READ_CONFIG, CI_CMD_RESET_APP, CI_CMD_UPDATE_QUICKREAD, CI_CMD_WRITE_CONFIG, CI_ERROR_COMMAND, CI_ERROR_NONE, CI_INVALID_COUNT, CI_RW_READ, CI_RW_WRITE, close_channel(), device_cmd_packet_t::cmd, ci_host_cmd_packet_t::cmd, rliAppState_t::cmdBuffer, cmdBuffer_t, rliAppStatus_t::device, device_connect(), device_disconnect(), rliAppStatus_t::error, FSL_RLI_APP_ID, isf_ci_app_read(), isf_ci_app_write(), isf_ci_qr_update(), isf_rli_read(), isf_rli_write(), ISF_SUCCESS, device_cmd_packet_t::nRead, device_cmd_packet_t::nWrite, ci_host_cmd_packet_t::offset, open_channel(), rliAppState_t::pHandle, rliAppState_t::rcvBuffer, rcvBuffer_t, RLI_APP_STATE_OPEN, ci_app_resp_packet_t::rw, and rliAppState_t::status.

Here is the call graph for this function:

## Variable Documentation

uint8_t cmdBuffer_t[RLI_COMM_BUFFER_SIZE]

Definition at line 45 of file rli_project.c.

Referenced by rli_ci_app_callback().

MQX_INITIALIZATION_STRUCT MQX_init_struct

This data structure/variable holds the complete state of the rli magnetometer sensor embedded application.

Definition at line 103 of file MQX1.c.

uint8_t rcvBuffer_t[RLI_COMM_BUFFER_SIZE]

Definition at line 44 of file rli_project.c.

Referenced by rli_ci_app_callback().

- © Freescale Semiconductor, Inc. 2015. All Rights Reserved.